# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

CRATES="
	libadwaita-0.1.0-alpha-3
"

VALA_USE_DEPEND="vapigen"

inherit cargo vala meson gnome2-utils xdg

COMMIT="ba1894159358275be2765bc42ef89782a2d1d45d"

DESCRIPTION="Simple application for generating Two-Factor Authentication Codes."
HOMEPAGE="https://gitlab.gnome.org/World/Authenticator"
SRC_URI="https://gitlab.gnome.org/World/Authenticator/-/archive/${PV}/${PN}-${PV}.tar.gz"
SRC_URI+=" $(cargo_crate_uris ${CRATES})"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~arm64 ~amd64"
IUSE="+introspection +vala"
REQUIRED_USE="vala? ( introspection )"

DEPEND="
	gnome-base/gnome-common
	gui-libs/gtk
	x11-libs/libadwaita
	x11-libs/gdk-pixbuf
	media-gfx/zbar
	>=media-libs/gstreamer-1.18.0
	>=media-libs/gst-plugins-base-1.18.0
	>=media-libs/gst-plugins-bad-1.18.0
	"
RDEPEND="${DEPEND}"
BDEPEND="
		vala? ( $(vala_depend) )
		dev-util/meson
		dev-libs/gobject-introspection
		"

S="${WORKDIR}/Authenticator-${PV}-${COMMIT}"

src_install() {
	meson_src_install
}

pkg_postinst() {
	gnome2_schemas_update
}

pkg_postrm() {
	gnome2_schemas_update
}
